# Created by pyp2rpm-1.1.2
%global pypi_name xonsh

Name:           %{pypi_name}
Version:        0.4.6
Release:        1%{?dist}
Summary:        A general purpose, Python-ish shell

License:        BSD
URL:            http://xon.sh
Source0:        https://pypi.io/packages/source/x/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3-ply
Requires:       python3-ply
Requires:       python3-prompt_toolkit
Requires:       python3-setproctitle
Requires:       python3-pygments


%description
xonsh is a Python-ish, BASHwards-compatible shell language and
command prompt. The language is a superset of Python 3.4 with 
additional shell primitives. xonsh (pronounced *conch*) is 
meant for the daily use of experts and novices alike.

%prep
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%setup -q -n %{pypi_name}-%{version}


%build
# Remove shebangs
sed --in-place "s:#!\s*/usr.*::" xonsh/xoreutils/_which.py

%{__python3} setup.py build



%install
%{__python3} setup.py install --skip-build --root %{buildroot}



%files
%doc README.rst
%{_bindir}/xonsh
%{_bindir}/xon.sh
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/xontrib
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Sun Sep 04 2016 John Dulaney <jdulaney@fedoraproject.org> - 0.4.6-1
- New upstream release 0.4.6

* Sun Aug 28 2016 John Dulaney <jdulaney@fedoraproject.org> - 0.4.5-2
- Require python3-pygments and python3-setproctitle

* Sun Aug 28 2016 John Dulaney <jdulaney@fedoraproject.org> - 0.4.5-1
- New upstream release 0.4.5

* Fri Aug  5 2016 Luke Macken <lmacken@redhat.com> - 0.4.4-2
- Require python3-prompt_toolkit to improve usability

* Thu Jul 21 2016 John Dulaney <jdulaney@fedoraproject.org> - 0.4.4-1
- New upstream release 0.4.4

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Jul 13 2016 John Dulaney <jdulaney@fedoraproject.org> - 0.4.3-1
- New upstream release 0.4.3

* Mon Jun 20 2016 Luke Macken <lmacken@redhat.com> - 0.3.4-1
- New upstream release 0.3.4

* Mon Jun 06 2016 Luke Macken <lmacken@redhat.com> - 0.3.3-1
- Latest upstream release
- Update the URL

* Fri Jun 03 2016 Luke Macken <lmacken@redhat.com> - 0.3.2-1
- Latest upstream release
- Update the Summary

* Mon Mar 16 2015 Robert Kuska <rkuska@redhat.com> - 0.1.2-1
- Initial package.
